Skip to content

List Flavors ​

Returns a list of available GPU virtual machine hardware configurations, comprising combinations of GPUs, CPUs, RAM, and system disk. These virtual machine configurations are referred to as flavors.

HTTP Request ​

GET {API_URL}/flavors

Query string parameters ​

ParametersRequirementsTypeDescription
region_idOptionalstringInclude a region_id in the query string of the request to return only the flavors available in the specified region_id

Reponse Attributes ​

status boolean ​

Indicates the status of the request to retrieve a list of flavors. true signifies success, while false indicates an error.

message string ​

A message indicating the success or failure of the request to retrieve flavors.

data array ​

An array containing information about flavors organized by GPU model and region.

Each flavor specifies the following properties:

  • region string: The region where the GPU configurations are available.
  • products array: An array containing details about individual flavor hardware configurations.
    • id string: The unique identifier for the flavor.
    • name string: The name of the flavor.
    • region_name string: The region where the GPU flavor is available.
    • region_id string: Unique identifier for the region.
    • price number: Price value for the GPU per hour.
    • cpu integer: The number of CPU cores in the flavor.
    • disk integer: The root disk size of the GPU flavor in gigabytes.
    • ephemeral integer: The ephemeral disk storage capacity for the flavor in gigabytes. Ephemeral storage is a temporary drive that is attached to a virtual machine (VM) during its runtime for storage of the active workload.
    • ram integer: The amount of RAM in gigabytes for the flavor.
    • gpu string: The GPU model name for the GPU flavor. The value with -spot is spot instances.
    • gpu_count integer: The number of GPUs included in the GPU flavor.
    • stock_available boolean: Indicates whether the GPU flavor is currently in stock. true indicates that stock is available.
    • cycle string: New billing cycle, the default is hourly.

Example ​

Request ​

curl -X GET '{API_URL}flavors' \
-H 'Authorization: Bearer {ACCESS_TOKEN}' \
-H 'refresh-token: {REFRESH_TOKEN}' \
-H 'Content-Type: application/json'

Response ​

{
    "status": true,
    "message": "Getting flavors successful",
    "data": [
        {
            "region": "DALLAS",
            "products": [
                {
                    "id": "66b9c8fd557590e4e474a298",
                    "name": "1 x RTX4090",
                    "region_name": "DALLAS",
                    "price": 0.56,
                    "cpu": 16,
                    "disk": 250,
                    "ram": 32,
                    "gpu": "RTX4090",
                    "gpu_count": 1,
                    "bandwidth": "100 Mbps",
                    "cycle": "hourly"
                }
            ]
        }
    ]
}